@import "../../.././common/css/media";

.cmp-container--product {
    padding: 56px 16px;

    .cmp-container {
        .cmp-tabs--product {
            .cmp-tabs {
                .cmp-tabs__tablist {
                    .cmp-tabs__tab {
                        padding-left: unset;
                        padding-right: unset;
                        margin-right: 32px;
                        color: #8B8B8B;
                        text-align: center;
                        font-size: 18px;
                        font-weight: 500;
                        line-height: 32px;

                        @include mobile {
                            font-size: 16px;
                            margin-right: 24px;
                        }
                    }

                    .cmp-tabs__tab--active {
                        color: #000;
                        font-size: 18px;
                        font-weight: 500;
                        line-height: 32px;

                        @include mobile {
                            font-size: 16px;
                        }
                    }
                }

                .cmp-tabs__tabpanel {
                    margin-top: 32px;

                    .container {
                        .cmp-container {
                            .aem-Grid {

                                &::before {
                                    display: none;
                                }

                                display: grid;
                                grid-template-columns: repeat(4, 1fr);
                                text-align: center;
                                gap: 16px;

                                @include mobile {
                                    grid-template-columns: repeat(2, 1fr);
                                }

                                .product__teaser-wrapper {
                                    border-radius: 9px;
                                    background: #F6F6F6;
                                    padding: 24px 16px;

                                    @include mobile {
                                        padding: 24px 12px;
                                    }

                                    .cmp-teaser {
                                        display: flex;
                                        flex-direction: column-reverse;

                                        .cmp-teaser__content {
                                            .cmp-teaser__pretitle {
                                                height: 80px;
                                                padding: 16px 0px;
                                                color: #000;
                                                text-align: center;
                                                font-size: 15px;
                                                font-weight: 500;
                                                line-height: 24px;

                                                @include mobile {
                                                    height: 48px;
                                                    padding: unset;
                                                    overflow: hidden;
                                                }
                                            }

                                            .cmp-teaser__title {
                                                color: #000;
                                                text-align: center;
                                                font-size: 24px;
                                                font-style: normal;
                                                font-weight: 600;
                                                line-height: 24px;
                                                letter-spacing: 0.72px;

                                                @include mobile {
                                                    padding-top: 16px;
                                                }
                                            }

                                            .cmp-teaser__action-container {
                                                margin-top: 16px;
                                                border-radius: 8px;
                                                background: #000;

                                                .cmp-teaser__action-link {
                                                    display: inline-block;
                                                    padding: 12px 64px;
                                                    color: #fff;
                                                    text-align: center;
                                                    font-size: 14px;
                                                    font-weight: 500;
                                                    line-height: 24px;

                                                    @include mobile {
                                                        padding: 12px 42px;
                                                    }
                                                }
                                            }
                                        }


                                        .cmp-teaser__image {
                                            .cmp-image {
                                                img {
                                                    width: 160px;
                                                    height: 160px;

                                                    @include mobile {
                                                        width: 104px;
                                                        height: 104px;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}